from datetime import datetime
import pytz

# Diccionario
MAPA_CODIGOS_AREA = {

    '201': {'timezone': 'EST', 'state': 'New Jersey'},
    '202': {'timezone': 'EST', 'state': 'District of Columbia'},
    '203': {'timezone': 'EST', 'state': 'Connecticut'},
    '205': {'timezone': 'CST', 'state': 'Alabama'},
    '206': {'timezone': 'PST', 'state': 'Washington'},
    '207': {'timezone': 'EST', 'state': 'Maine'},
    '208': {'timezone': 'MST', 'state': 'Idaho'},
    '209': {'timezone': 'PST', 'state': 'California'},
    '210': {'timezone': 'CST', 'state': 'Texas'},
    '212': {'timezone': 'EST', 'state': 'New York'},
    '213': {'timezone': 'PST', 'state': 'California'},
    '214': {'timezone': 'CST', 'state': 'Texas'},
    '215': {'timezone': 'EST', 'state': 'Pennsylvania'},
    '216': {'timezone': 'EST', 'state': 'Ohio'},
    '217': {'timezone': 'CST', 'state': 'Illinois'},
    '218': {'timezone': 'CST', 'state': 'Minnesota'},
    '219': {'timezone': 'CST', 'state': 'Indiana'},
    '220': {'timezone': 'EST', 'state': 'Ohio'},
    '223': {'timezone': 'EST', 'state': 'Pennsylvania'},
    '224': {'timezone': 'CST', 'state': 'Illinois'},
    '225': {'timezone': 'CST', 'state': 'Louisiana'},
    '227': {'timezone': 'EST', 'state': 'Maryland'},
    '228': {'timezone': 'CST', 'state': 'Mississippi'},
    '229': {'timezone': 'EST', 'state': 'Georgia'},
    '231': {'timezone': 'EST', 'state': 'Michigan'},
    '234': {'timezone': 'EST', 'state': 'Ohio'},
    '235': {'timezone': 'CST', 'state': 'Missouri'},
    '239': {'timezone': 'EST', 'state': 'Florida'},
    '240': {'timezone': 'EST', 'state': 'Maryland'},
    '248': {'timezone': 'EST', 'state': 'Michigan'},
    '251': {'timezone': 'CST', 'state': 'Alabama'},
    '252': {'timezone': 'EST', 'state': 'North Carolina'},
    '253': {'timezone': 'PST', 'state': 'Washington'},
    '254': {'timezone': 'CST', 'state': 'Texas'},
    '256': {'timezone': 'CST', 'state': 'Alabama'},
    '260': {'timezone': 'EST', 'state': 'Indiana'},
    '262': {'timezone': 'CST', 'state': 'Wisconsin'},
    '267': {'timezone': 'EST', 'state': 'Pennsylvania'},
    '269': {'timezone': 'EST', 'state': 'Michigan'},
    '270': {'timezone': 'CST', 'state': 'Kentucky'},
    '272': {'timezone': 'EST', 'state': 'Pennsylvania'},
    '274': {'timezone': 'CST', 'state': 'Wisconsin'},
    '276': {'timezone': 'EST', 'state': 'Virginia'},
    '279': {'timezone': 'PST', 'state': 'California'},
    '281': {'timezone': 'CST', 'state': 'Texas'},
    '301': {'timezone': 'EST', 'state': 'Maryland'},
    '302': {'timezone': 'EST', 'state': 'Delaware'},
    '303': {'timezone': 'MST', 'state': 'Colorado'},
    '304': {'timezone': 'EST', 'state': 'West Virginia'},
    '305': {'timezone': 'EST', 'state': 'Florida'},
    '307': {'timezone': 'MST', 'state': 'Wyoming'},
    '308': {'timezone': 'CST', 'state': 'Nebraska'},
    '309': {'timezone': 'CST', 'state': 'Illinois'},
    '310': {'timezone': 'PST', 'state': 'California'},
    '312': {'timezone': 'CST', 'state': 'Illinois'},
    '313': {'timezone': 'EST', 'state': 'Michigan'},
    '314': {'timezone': 'CST', 'state': 'Missouri'},
    '315': {'timezone': 'EST', 'state': 'New York'},
    '316': {'timezone': 'CST', 'state': 'Kansas'},
    '317': {'timezone': 'EST', 'state': 'Indiana'},
    '318': {'timezone': 'CST', 'state': 'Louisiana'},
    '319': {'timezone': 'CST', 'state': 'Iowa'},
    '320': {'timezone': 'CST', 'state': 'Minnesota'},
    '321': {'timezone': 'EST', 'state': 'Florida'},
    '323': {'timezone': 'PST', 'state': 'California'},
    '324': {'timezone': 'EST', 'state': 'Florida'},
    '325': {'timezone': 'CST', 'state': 'Texas'},
    '326': {'timezone': 'EST', 'state': 'Ohio'},
    '327': {'timezone': 'CST', 'state': 'Arkansas'},
    '329': {'timezone': 'EST', 'state': 'New York'},
    '330': {'timezone': 'EST', 'state': 'Ohio'},
    '331': {'timezone': 'CST', 'state': 'Illinois'},
    '332': {'timezone': 'EST', 'state': 'New York'},
    '334': {'timezone': 'CST', 'state': 'Alabama'},
    '336': {'timezone': 'EST', 'state': 'North Carolina'},
    '337': {'timezone': 'CST', 'state': 'Louisiana'},
    '339': {'timezone': 'EST', 'state': 'Massachusetts'},
    '341': {'timezone': 'PST', 'state': 'California'},
    '346': {'timezone': 'CST', 'state': 'Texas'},
    '347': {'timezone': 'EST', 'state': 'New York'},
    '350': {'timezone': 'PST', 'state': 'California'},
    '351': {'timezone': 'EST', 'state': 'Massachusetts'},
    '352': {'timezone': 'EST', 'state': 'Florida'},
    '353': {'timezone': 'CST', 'state': 'Wisconsin'},
    '360': {'timezone': 'PST', 'state': 'Washington'},
    '361': {'timezone': 'CST', 'state': 'Texas'},
    '363': {'timezone': 'EST', 'state': 'New York'},
    '364': {'timezone': 'CST', 'state': 'Kentucky'},
    '369': {'timezone': 'PST', 'state': 'California'},
    '380': {'timezone': 'EST', 'state': 'Ohio'},
    '385': {'timezone': 'MST', 'state': 'Utah'},
    '386': {'timezone': 'EST', 'state': 'Florida'},
    '401': {'timezone': 'EST', 'state': 'Rhode Island'},
    '402': {'timezone': 'CST', 'state': 'Nebraska'},
    '404': {'timezone': 'EST', 'state': 'Georgia'},
    '405': {'timezone': 'CST', 'state': 'Oklahoma'},
    '406': {'timezone': 'MST', 'state': 'Montana'},
    '407': {'timezone': 'EST', 'state': 'Florida'},
    '408': {'timezone': 'PST', 'state': 'California'},
    '409': {'timezone': 'CST', 'state': 'Texas'},
    '410': {'timezone': 'EST', 'state': 'Maryland'},
    '412': {'timezone': 'EST', 'state': 'Pennsylvania'},
    '413': {'timezone': 'EST', 'state': 'Massachusetts'},
    '414': {'timezone': 'CST', 'state': 'Wisconsin'},
    '415': {'timezone': 'PST', 'state': 'California'},
    '417': {'timezone': 'CST', 'state': 'Missouri'},
    '419': {'timezone': 'EST', 'state': 'Ohio'},
    '423': {'timezone': 'EST', 'state': 'Tennessee'},
    '424': {'timezone': 'PST', 'state': 'California'},
    '425': {'timezone': 'PST', 'state': 'Washington'},
    '430': {'timezone': 'CST', 'state': 'Texas'},
    '432': {'timezone': 'CST', 'state': 'Texas'},
    '434': {'timezone': 'EST', 'state': 'Virginia'},
    '435': {'timezone': 'MST', 'state': 'Utah'},
    '436': {'timezone': 'EST', 'state': 'Ohio'},
    '440': {'timezone': 'EST', 'state': 'Ohio'},
    '442': {'timezone': 'PST', 'state': 'California'},
    '443': {'timezone': 'EST', 'state': 'Maryland'},
    '445': {'timezone': 'EST', 'state': 'Pennsylvania'},
    '447': {'timezone': 'CST', 'state': 'Illinois'},
    '448': {'timezone': 'CST', 'state': 'Florida'},
    '456': {'timezone': '', 'state': ''},
    '458': {'timezone': 'PST', 'state': 'Oregon'},
    '463': {'timezone': 'EST', 'state': 'Indiana'},
    '464': {'timezone': 'CST', 'state': 'Illinois'},
    '469': {'timezone': 'CST', 'state': 'Texas'},
    '470': {'timezone': 'EST', 'state': 'Georgia'},
    '472': {'timezone': 'EST', 'state': 'North Carolina'},
    '475': {'timezone': 'EST', 'state': 'Connecticut'},
    '478': {'timezone': 'EST', 'state': 'Georgia'},
    '479': {'timezone': 'CST', 'state': 'Arkansas'},
    '480': {'timezone': 'MST', 'state': 'Arizona'},
    '484': {'timezone': 'EST', 'state': 'Pennsylvania'},
    '500': {'timezone': '', 'state': ''},
    '501': {'timezone': 'CST', 'state': 'Arkansas'},
    '502': {'timezone': 'EST', 'state': 'Kentucky'},
    '503': {'timezone': 'PST', 'state': 'Oregon'},
    '504': {'timezone': 'CST', 'state': 'Louisiana'},
    '505': {'timezone': 'MST', 'state': 'New Mexico'},
    '507': {'timezone': 'CST', 'state': 'Minnesota'},
    '508': {'timezone': 'EST', 'state': 'Massachusetts'},
    '509': {'timezone': 'PST', 'state': 'Washington'},
    '510': {'timezone': 'PST', 'state': 'California'},
    '512': {'timezone': 'CST', 'state': 'Texas'},
    '513': {'timezone': 'EST', 'state': 'Ohio'},
    '515': {'timezone': 'CST', 'state': 'Iowa'},
    '516': {'timezone': 'EST', 'state': 'New York'},
    '517': {'timezone': 'EST', 'state': 'Michigan'},
    '518': {'timezone': 'EST', 'state': 'New York'},
    '520': {'timezone': 'MST', 'state': 'Arizona'},
    '521': {'timezone': '', 'state': ''},
    '522': {'timezone': '', 'state': ''},
    '523': {'timezone': '', 'state': ''},
    '524': {'timezone': '', 'state': ''},
    '528': {'timezone': '', 'state': ''},
    '529': {'timezone': '', 'state': ''},
    '530': {'timezone': 'PST', 'state': 'California'},
    '531': {'timezone': 'CST', 'state': 'Nebraska'},
    '533': {'timezone': '', 'state': ''},
    '534': {'timezone': 'CST', 'state': 'Wisconsin'},
    '539': {'timezone': 'CST', 'state': 'Oklahoma'},
    '540': {'timezone': 'EST', 'state': 'Virginia'},
    '541': {'timezone': 'PST', 'state': 'Oregon'},
    '544': {'timezone': '', 'state': ''},
    '551': {'timezone': 'EST', 'state': 'New Jersey'},
    '557': {'timezone': 'CST', 'state': 'Missouri'},
    '559': {'timezone': 'PST', 'state': 'California'},
    '561': {'timezone': 'EST', 'state': 'Florida'},
    '562': {'timezone': 'PST', 'state': 'California'},
    '563': {'timezone': 'CST', 'state': 'Iowa'},
    '564': {'timezone': 'PST', 'state': 'Washington'},
    '566': {'timezone': '', 'state': ''},
    '567': {'timezone': 'EST', 'state': 'Ohio'},
    '570': {'timezone': 'EST', 'state': 'Pennsylvania'},
    '571': {'timezone': 'EST', 'state': 'Virginia'},
    '572': {'timezone': 'CST', 'state': 'Oklahoma'},
    '573': {'timezone': 'CST', 'state': 'Missouri'},
    '574': {'timezone': 'EST', 'state': 'Indiana'},
    '575': {'timezone': 'MST', 'state': 'New Mexico'},
    '580': {'timezone': 'CST', 'state': 'Oklahoma'},
    '582': {'timezone': 'EST', 'state': 'Pennsylvania'},
    '585': {'timezone': 'EST', 'state': 'New York'},
    '586': {'timezone': 'EST', 'state': 'Michigan'},
    '588': {'timezone': '', 'state': ''},
    '601': {'timezone': 'CST', 'state': 'Mississippi'},
    '602': {'timezone': 'MST', 'state': 'Arizona'},
    '603': {'timezone': 'EST', 'state': 'New Hampshire'},
    '605': {'timezone': 'CST', 'state': 'South Dakota'},
    '606': {'timezone': 'EST', 'state': 'Kentucky'},
    '607': {'timezone': 'EST', 'state': 'New York'},
    '608': {'timezone': 'CST', 'state': 'Wisconsin'},
    '609': {'timezone': 'EST', 'state': 'New Jersey'},
    '610': {'timezone': 'EST', 'state': 'Pennsylvania'},
    '611': {'timezone': '', 'state': ''},
    '612': {'timezone': 'CST', 'state': 'Minnesota'},
    '614': {'timezone': 'EST', 'state': 'Ohio'},
    '615': {'timezone': 'CST', 'state': 'Tennessee'},
    '616': {'timezone': 'EST', 'state': 'Michigan'},
    '617': {'timezone': 'EST', 'state': 'Massachusetts'},
    '618': {'timezone': 'CST', 'state': 'Illinois'},
    '619': {'timezone': 'PST', 'state': 'California'},
    '620': {'timezone': 'CST', 'state': 'Kansas'},
    '623': {'timezone': 'MST', 'state': 'Arizona'},
    '624': {'timezone': 'EST', 'state': 'New York'},
    '626': {'timezone': 'PST', 'state': 'California'},
    '628': {'timezone': 'PST', 'state': 'California'},
    '629': {'timezone': 'CST', 'state': 'Tennessee'},
    '630': {'timezone': 'CST', 'state': 'Illinois'},
    '631': {'timezone': 'EST', 'state': 'New York'},
    '636': {'timezone': 'CST', 'state': 'Missouri'},
    '640': {'timezone': 'EST', 'state': 'New Jersey'},
    '641': {'timezone': 'CST', 'state': 'Iowa'},
    '645': {'timezone': 'EST', 'state': 'Florida'},
    '646': {'timezone': 'EST', 'state': 'New York'},
    '650': {'timezone': 'PST', 'state': 'California'},
    '651': {'timezone': 'CST', 'state': 'Minnesota'},
    '656': {'timezone': 'EST', 'state': 'Florida'},
    '657': {'timezone': 'PST', 'state': 'California'},
    '659': {'timezone': 'CST', 'state': 'Alabama'},
    '660': {'timezone': 'CST', 'state': 'Missouri'},
    '661': {'timezone': 'PST', 'state': 'California'},
    '662': {'timezone': 'CST', 'state': 'Mississippi'},
    '667': {'timezone': 'EST', 'state': 'Maryland'},
    '669': {'timezone': 'PST', 'state': 'California'},
    '678': {'timezone': 'EST', 'state': 'Georgia'},
    '680': {'timezone': 'EST', 'state': 'New York'},
    '681': {'timezone': 'EST', 'state': 'West Virginia'},
    '682': {'timezone': 'CST', 'state': 'Texas'},
    '686': {'timezone': 'EST', 'state': 'Virginia'},
    '689': {'timezone': 'EST', 'state': 'Florida'},
    '700': {'timezone': '', 'state': ''},
    '701': {'timezone': 'CST', 'state': 'North Dakota'},
    '702': {'timezone': 'PST', 'state': 'Nevada'},
    '703': {'timezone': 'EST', 'state': 'Virginia'},
    '704': {'timezone': 'EST', 'state': 'North Carolina'},
    '706': {'timezone': 'EST', 'state': 'Georgia'},
    '707': {'timezone': 'PST', 'state': 'California'},
    '708': {'timezone': 'CST', 'state': 'Illinois'},
    '710': {'timezone': '', 'state': ''},
    '712': {'timezone': 'CST', 'state': 'Iowa'},
    '713': {'timezone': 'CST', 'state': 'Texas'},
    '714': {'timezone': 'PST', 'state': 'California'},
    '715': {'timezone': 'CST', 'state': 'Wisconsin'},
    '716': {'timezone': 'EST', 'state': 'New York'},
    '717': {'timezone': 'EST', 'state': 'Pennsylvania'},
    '718': {'timezone': 'EST', 'state': 'New York'},
    '719': {'timezone': 'MST', 'state': 'Colorado'},
    '720': {'timezone': 'MST', 'state': 'Colorado'},
    '724': {'timezone': 'EST', 'state': 'Pennsylvania'},
    '725': {'timezone': 'PST', 'state': 'Nevada'},
    '726': {'timezone': 'CST', 'state': 'Texas'},
    '727': {'timezone': 'EST', 'state': 'Florida'},
    '728': {'timezone': 'EST', 'state': 'Florida'},
    '730': {'timezone': 'CST', 'state': 'Illinois'},
    '731': {'timezone': 'CST', 'state': 'Tennessee'},
    '732': {'timezone': 'EST', 'state': 'New Jersey'},
    '734': {'timezone': 'EST', 'state': 'Michigan'},
    '737': {'timezone': 'CST', 'state': 'Texas'},
    '740': {'timezone': 'EST', 'state': 'Ohio'},
    '743': {'timezone': 'EST', 'state': 'North Carolina'},
    '747': {'timezone': 'PST', 'state': 'California'},
    '754': {'timezone': 'EST', 'state': 'Florida'},
    '757': {'timezone': 'EST', 'state': 'Virginia'},
    '760': {'timezone': 'PST', 'state': 'California'},
    '762': {'timezone': 'EST', 'state': 'Georgia'},
    '763': {'timezone': 'CST', 'state': 'Minnesota'},
    '765': {'timezone': 'EST', 'state': 'Indiana'},
    '769': {'timezone': 'CST', 'state': 'Mississippi'},
    '770': {'timezone': 'EST', 'state': 'Georgia'},
    '771': {'timezone': 'EST', 'state': 'District of Columbia'},
    '772': {'timezone': 'EST', 'state': 'Florida'},
    '773': {'timezone': 'CST', 'state': 'Illinois'},
    '774': {'timezone': 'EST', 'state': 'Massachusetts'},
    '775': {'timezone': 'PST', 'state': 'Nevada'},
    '779': {'timezone': 'CST', 'state': 'Illinois'},
    '781': {'timezone': 'EST', 'state': 'Massachusetts'},
    '785': {'timezone': 'CST', 'state': 'Kansas'},
    '786': {'timezone': 'EST', 'state': 'Florida'},
    '800': {'timezone': '', 'state': ''},
    '801': {'timezone': 'MST', 'state': 'Utah'},
    '802': {'timezone': 'EST', 'state': 'Vermont'},
    '803': {'timezone': 'EST', 'state': 'South Carolina'},
    '804': {'timezone': 'EST', 'state': 'Virginia'},
    '805': {'timezone': 'PST', 'state': 'California'},
    '806': {'timezone': 'CST', 'state': 'Texas'},
    '808': {'timezone': 'HAST', 'state': 'Hawaii'},
    '809': {'timezone': 'AST', 'state': ''},
    '810': {'timezone': 'EST', 'state': 'Michigan'},
    '812': {'timezone': 'EST', 'state': 'Indiana'},
    '813': {'timezone': 'EST', 'state': 'Florida'},
    '814': {'timezone': 'EST', 'state': 'Pennsylvania'},
    '815': {'timezone': 'CST', 'state': 'Illinois'},
    '816': {'timezone': 'CST', 'state': 'Missouri'},
    '817': {'timezone': 'CST', 'state': 'Texas'},
    '818': {'timezone': 'PST', 'state': 'California'},
    '820': {'timezone': 'PST', 'state': 'California'},
    '821': {'timezone': 'EST', 'state': 'South Carolina'},
    '826': {'timezone': 'EST', 'state': 'Virginia'},
    '828': {'timezone': 'EST', 'state': 'North Carolina'},
    '830': {'timezone': 'CST', 'state': 'Texas'},
    '831': {'timezone': 'PST', 'state': 'California'},
    '832': {'timezone': 'CST', 'state': 'Texas'},
    '833': {'timezone': '', 'state': ''},
    '835': {'timezone': 'EST', 'state': 'Pennsylvania'},
    '838': {'timezone': 'EST', 'state': 'New York'},
    '839': {'timezone': 'EST', 'state': 'South Carolina'},
    '840': {'timezone': 'PST', 'state': 'California'},
    '843': {'timezone': 'EST', 'state': 'South Carolina'},
    '844': {'timezone': '', 'state': ''},
    '845': {'timezone': 'EST', 'state': 'New York'},
    '847': {'timezone': 'CST', 'state': 'Illinois'},
    '848': {'timezone': 'EST', 'state': 'New Jersey'},
    '850': {'timezone': 'CST', 'state': 'Florida'},
    '854': {'timezone': 'EST', 'state': 'South Carolina'},
    '855': {'timezone': '', 'state': ''},
    '856': {'timezone': 'EST', 'state': 'New Jersey'},
    '857': {'timezone': 'EST', 'state': 'Massachusetts'},
    '858': {'timezone': 'PST', 'state': 'California'},
    '859': {'timezone': 'EST', 'state': 'Kentucky'},
    '860': {'timezone': 'EST', 'state': 'Connecticut'},
    '861': {'timezone': 'CST', 'state': 'Illinois'},
    '862': {'timezone': 'EST', 'state': 'New Jersey'},
    '863': {'timezone': 'EST', 'state': 'Florida'},
    '864': {'timezone': 'EST', 'state': 'South Carolina'},
    '865': {'timezone': 'EST', 'state': 'Tennessee'},
    '866': {'timezone': '', 'state': ''},
    '870': {'timezone': 'CST', 'state': 'Arkansas'},
    '872': {'timezone': 'CST', 'state': 'Illinois'},
    '877': {'timezone': '', 'state': ''},
    '878': {'timezone': 'EST', 'state': 'Pennsylvania'},
    '880': {'timezone': '', 'state': ''},
    '881': {'timezone': '', 'state': ''},
    '888': {'timezone': '', 'state': ''},
    '900': {'timezone': '', 'state': ''},
    '901': {'timezone': 'CST', 'state': 'Tennessee'},
    '903': {'timezone': 'CST', 'state': 'Texas'},
    '904': {'timezone': 'EST', 'state': 'Florida'},
    '906': {'timezone': 'EST', 'state': 'Michigan'},
    '907': {'timezone': 'AKST', 'state': 'Alaska'},
    '908': {'timezone': 'EST', 'state': 'New Jersey'},
    '909': {'timezone': 'PST', 'state': 'California'},
    '910': {'timezone': 'EST', 'state': 'North Carolina'},
    '912': {'timezone': 'EST', 'state': 'Georgia'},
    '913': {'timezone': 'CST', 'state': 'Kansas'},
    '914': {'timezone': 'EST', 'state': 'New York'},
    '915': {'timezone': 'MST', 'state': 'Texas'},
    '916': {'timezone': 'PST', 'state': 'California'},
    '917': {'timezone': 'EST', 'state': 'New York'},
    '918': {'timezone': 'CST', 'state': 'Oklahoma'},
    '919': {'timezone': 'EST', 'state': 'North Carolina'},
    '920': {'timezone': 'CST', 'state': 'Wisconsin'},
    '924': {'timezone': 'CST', 'state': 'Minnesota'},
    '925': {'timezone': 'PST', 'state': 'California'},
    '928': {'timezone': 'MST', 'state': 'Arizona'},
    '929': {'timezone': 'EST', 'state': 'New York'},
    '930': {'timezone': 'EST', 'state': 'Indiana'},
    '931': {'timezone': 'CST', 'state': 'Tennessee'},
    '934': {'timezone': 'EST', 'state': 'New York'},
    '936': {'timezone': 'CST', 'state': 'Texas'},
    '937': {'timezone': 'EST', 'state': 'Ohio'},
    '938': {'timezone': 'CST', 'state': 'Alabama'},
    '940': {'timezone': 'CST', 'state': 'Texas'},
    '941': {'timezone': 'EST', 'state': 'Florida'},
    '943': {'timezone': 'EST', 'state': 'Georgia'},
    '945': {'timezone': 'CST', 'state': 'Texas'},
    '947': {'timezone': 'EST', 'state': 'Michigan'},
    '948': {'timezone': 'EST', 'state': 'Virginia'},
    '949': {'timezone': 'PST', 'state': 'California'},
    '951': {'timezone': 'PST', 'state': 'California'},
    '952': {'timezone': 'CST', 'state': 'Minnesota'},
    '954': {'timezone': 'EST', 'state': 'Florida'},
    '956': {'timezone': 'CST', 'state': 'Texas'},
    '959': {'timezone': 'EST', 'state': 'Connecticut'},
    '970': {'timezone': 'MST', 'state': 'Colorado'},
    '971': {'timezone': 'PST', 'state': 'Oregon'},
    '972': {'timezone': 'CST', 'state': 'Texas'},
    '973': {'timezone': 'EST', 'state': 'New Jersey'},
    '975': {'timezone': 'CST', 'state': 'Missouri'},
    '978': {'timezone': 'EST', 'state': 'Massachusetts'},
    '979': {'timezone': 'CST', 'state': 'Texas'},
    '980': {'timezone': 'EST', 'state': 'North Carolina'},
    '983': {'timezone': 'MST', 'state': 'Colorado'},
    '984': {'timezone': 'EST', 'state': 'North Carolina'},
    '985': {'timezone': 'CST', 'state': 'Louisiana'},
    '986': {'timezone': 'MST', 'state': 'Idaho'},
    '989': {'timezone': 'EST', 'state': 'Michigan'},
    
}


def obtener_fecha_actual_por_codigo_area():
    # Solicita al usuario que ingrese el código de área
    codigo_area = input("Por favor ingresa el código de área: ")
    
    # Verifica si el código de área existe en el diccionario
    if codigo_area in MAPA_CODIGOS_AREA:
        # Obtiene la zona horaria y el estado del código de área
        timezone = MAPA_CODIGOS_AREA[codigo_area]['timezone']
        state = MAPA_CODIGOS_AREA[codigo_area]['state']
        
        # Asigna el nombre de la zona horaria completa en función de la abreviatura
        tz_map = {
            'EST': 'America/New_York',
            'CST': 'America/Chicago',
            'MST': 'America/Denver',
            'PST': 'America/Los_Angeles',
            'AKST': 'America/Anchorage',
            'HAST': 'Pacific/Honolulu'
        }
        
        # Obtiene el objeto de zona horaria y calcula la fecha y hora actual en esa zona
        tz = pytz.timezone(tz_map[timezone])
        fecha_actual = datetime.now(tz)
        
        return f"Fecha y hora actual en el área con código {codigo_area} ({state}): {fecha_actual.strftime('%Y-%m-%d %H:%M:%S')}"
    else:
        return "Código de área no encontrado en el mapeo."
